package com.zcxk.rmcp.api.enums;

import com.zcxk.core.common.support.RespCode;
import lombok.Getter;

/**
 * @author Andy
 * @version V1.0
 **/
@Getter
public enum RmcpErrorEnum implements RespCode {

    /**
     * 小区名字已经存在
     */
    RMCP_COMMUNITY_NAME_UNIQUE_ERROR(201001,"小区名字已经存在!"),

    /**
     * 设备编号已经存在!
     */
    RMCP_DEVICE_NO_UNIQUE_ERROR(201002,"设备编号已经存在!"),

    /**
     * 水表电子号已经存在!
     */
    RMCP_METER_NO_UNIQUE_ERROR(201003,"水表电子号已经存在!"),

    /**
     * 设备编号已经存在
     */
    RMCP_DEVICE_NO_NOT_EXISTED(201004,"设备编号已经存在"),

    /**
     * 您输入的水表电子号已存在，请重新输入
     */
    RMCP_DEVICE_ELECTRONIC_NO_NOT_EXISTED(201005,"您输入的水表电子号已存在，请重新输入"),

    /**
     * 更新失败！
     */
    RMCP_UPDATE_FAIL(201006,"更新失败！"),

    /**
     * 未找到相关数据
     */
    RMCP_NOT_FOUND(201404,"未找到相关数据"),

    /**
     * 未找到指定的code
     */
    RMCP_NOT_FOUND_CODE(201405,"未找到指定的code"),

    /**
     * 下载失败
     */
    RMCP_DOWNLOAD_ERROR(201406,"下载失败"),
    ;

    /**
     * 状态码
     */
    private int status;

    /**
     * 错误消息
     */
    private String message;

    RmcpErrorEnum(int status, String message){
        this.status  = status;
        this.message = message;
    }

    @Override
    public int getStatus() {
        return status;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
